#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 persistent-test
version:              2.13.1.3
visibility:           public
id:                   persistent-test-2.13.1.3-E3PmlZG8qH8JiyEdWl2ot7
key:                  persistent-test-2.13.1.3-E3PmlZG8qH8JiyEdWl2ot7
license:              MIT
maintainer:           Michael Snoyman <michael@snoyman.com>
author:               Michael Snoyman <michael@snoyman.com>
stability:            Stable
homepage:             http://www.yesodweb.com/book/persistent
synopsis:             Tests for Persistent
description:
    Tests for Persistent. This is only for use in developing libraries that should conform to the persistent interface, not for users of the persistent suite of database libraries.

category:             Database, Yesod
abi:                  87ce3564df86cbe24488447d6c75944f
exposed:              True
exposed-modules:
    CompositeTest CustomPersistField CustomPersistFieldTest
    CustomPrimaryKeyReferenceTest DataTypeTest EmbedOrderTest EmbedTest
    EmptyEntityTest EntityEmbedTest EquivalentTypeTest ForeignKey
    GeneratedColumnTestSQL HtmlTest Init LargeNumberTest
    LongIdentifierTest MaxLenTest MaybeFieldDefsTest
    MigrationColumnLengthTest MigrationIdempotencyTest
    MigrationOnlyTest MigrationTest MpsCustomPrefixTest MpsNoPrefixTest
    PersistTestPetCollarType PersistTestPetType PersistUniqueTest
    PersistentTest PersistentTestModels PersistentTestModelsImports
    PrimaryTest RawSqlTest ReadWriteTest Recursive RenameTest
    SumTypeTest TransactionLevelTest TreeTest TypeLitFieldDefsTest
    UniqueTest UpsertTest

import-dirs:          /usr/lib/ghc-9.2.8/site-local/persistent-test-2.13.1.3
library-dirs:         /usr/lib/ghc-9.2.8/site-local/persistent-test-2.13.1.3
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-persistent-test
hs-libraries:         HSpersistent-test-2.13.1.3-E3PmlZG8qH8JiyEdWl2ot7
depends:
    HUnit-1.6.2.0-BbdSRE1ivgr5FoFXtFn37H
    QuickCheck-2.14.3-4RnDMHKDhpPJEbozrkRwOm
    aeson-2.1.2.1-3rgGDwZqcHL8RNfGOD8e99 base-4.16.4.0
    blaze-html-0.9.2.0-1yi2UoPy1cs8GiUBmpVOpB bytestring-0.11.4.0
    conduit-1.3.6.1-Ckc9h7fnWDpBDJPmybS5L6 containers-0.6.5.1
    exceptions-0.10.4 hspec-2.10.9-AYXKrjfh1M5BxiwKbwNOXG
    hspec-expectations-0.8.3-5sD9YT3uQpp6FysqsZAXkv
    http-api-data-0.5.1-HxZs0LveN9nCMeQBj6eZr8
    monad-control-1.0.3.1-BUkxO6HLLlgCLFSdrHwBde
    monad-logger-0.3.41-KSl2jVN3k546dKy95XJBIf mtl-2.2.2
    path-pieces-0.2.1-E15XfVOwfTfIr2VliI4YGA
    persistent-2.14.5.1-DDF5UioLDan5XHdfSLT50K
    quickcheck-instances-0.3.30-GvC5Ynwq5U06sb3ziT3Qoa
    random-1.2.1.2-KvuM1oiX8xJ7hOrYY9vw8O
    resourcet-1.2.6-8X67eU2dBvUEg6coZ1eeXn text-1.2.5.0 time-1.11.1.1
    transformers-0.5.6.2 transformers-base-0.4.6-E6aYj1Nnyf1Hx206wlwDyN
    unliftio-0.2.25.1-CkFJ8hPpvZqDy07m1hxo9U
    unliftio-core-0.2.1.0-2wlRerPMhUe3AYGiMsYOzn
    unordered-containers-0.2.20-3olzmtJszxXc2LJr1lW5F

haddock-interfaces:
    /usr/share/doc/haskell-persistent-test/html/persistent-test.haddock

haddock-html:         /usr/share/doc/haskell-persistent-test/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

